<form name="picForm" role="form" novalidate (ngSubmit)="simpan()" #editForm="ngForm"  autocomplete="off">
    <h2>
        <span>Tambah Telpon Baru</span>
    </h2>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_kdBahan">Nama</label>
                <input type="text" class="form-control" name="nama" id="field_kdBahan"
                    [(ngModel)]="nama"/>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_kdUmBahan">Inisial </label>
                <input type="text" class="form-control" name="inisial" id="field_kdUmBahan"
                    [(ngModel)]="inisial"/>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_kdUmum">No Telepon 1</label>
                <input type="text" class="form-control" name="telp1" id="cust_addr"
                    [(ngModel)]="telp1"/>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_NmBahan">No Telepon 2</label>
                <input type="text" class="form-control" name="telp2" id="telp2"
                    [(ngModel)]="telp2"/>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_NmBahan">No Fax</label>
                <input type="text" class="form-control" name="fax" id="field_NmBahan"
                    [(ngModel)]="fax"/>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_NmBahan">Email</label>
                <input type="text" class="form-control" name="email" id="field_NmBahan"
                    [(ngModel)]="email"/>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_NmBahan">Alamat</label>
                <textarea [rows]="5" [cols]="100" pInputTextarea autoResize="autoResize"
              [(ngModel)]="alamat" name="alamat" class="form-control" ></textarea>
            </div>
        </div>
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_NmBahan">Keterangan</label>
                <select
                  class="form-control"
                  id="keterangan"
                  name="keterangan"
                  [(ngModel)]="keterangan" 
                >
                  <option
                    [ngValue]="divitionOption.value"
                    *ngFor="let divitionOption of jenis"
                  >
                    {{ divitionOption.value }}
                  </option>
                </select>
            </div>
        </div>
        <div class="col-md-12" *ngIf = "keterangan === 'Lain - lain'" [hidden]="keterangan !== 'Lain - lain'">
            <div class="form-group">
                <label class="form-control-label" for="field_NmBahan">Catatan</label>
                <input type="text" class="form-control" name="lain" id="field_NmBahan"
                    [(ngModel)]="lain"/>
            </div>
        </div>
    </div>

    <div class="ui-g-12">
        <hr>
        <div style="text-align: right">
            <button pButton type="submit"
                label="Simpan"
                icon="fa-save"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton class="btn btn-primary btn-sm float-right" 
            (click)="back()"
            label="Kembali"
            class="ui-button-danger flat-label-button">
            </button>
        </div>
    </div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>

</form>
